// Space Description class

#ifndef SPACEDESC_H
#define SPACEDESC_H

#define MAXYCONS 4  // maximum x blocks
#define MAXXCONS 4  // maximum y blocks

class SpaceDesc {

public:
	int maxX;    
	int maxY;
	int xmodCW;  // modifier to the x-value when turning clockwise
	int ymodCW;  // modifier to the y-value when turning clockwise
	int xmodCCW; // modifier to the x-value when turning counterclockwise
	int ymodCCW; // modifier to the y-value when turning counterclockwise

	int array[MAXYCONS][MAXXCONS];  // array that holds the color info

	SpaceDesc(); // initializer function
};

#endif